Package org.apache.solr.client.solrj.impl

## Class HttpClientUtil.SocketFactoryRegistryProvider

- java.lang.Object
- - org.apache.solr.client.solrj.impl.HttpClientUtil.SocketFactoryRegistryProvider

Enclosing class:
  HttpClientUtil

    public abstract static class HttpClientUtil.SocketFactoryRegistryProvider
    extends Object

### Constructor Summary

Constructors
`SocketFactoryRegistryProvider()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract org.apache.http.config.Registry<org.apache.http.conn.socket.ConnectionSocketFactory>` `getSocketFactoryRegistry()` Must be non-null

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SocketFactoryRegistryProvider

    public SocketFactoryRegistryProvider()

### Method Detail

#### getSocketFactoryRegistry

    public abstract org.apache.http.config.Registry<org.apache.http.conn.socket.ConnectionSocketFactory> getSocketFactoryRegistry()

Must be non-null